Bug 891190

Summary: nodejs-fstream - Advanced file system stream objects for Node.js
Product: [Fedora] Fedora Reporter: T.C. Hollingsworth <tchollingsworth>
Component: Package ReviewAssignee: Miro Hrončok <mhroncok>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: mhroncok, misc, notting, package-review
Target Milestone: ---Flags: mhroncok: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-15 04:34:52 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 891194, 891195, 891206, 891231    
Bug Blocks: 891171, 891175, 891238    

Description T.C. Hollingsworth 2013-01-02 03:19:24 EST
Spec: http://patches.fedorapeople.org/npm/nodejs-fstream.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-fstream-0.1.21-1.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4830975
FAS username: patches

Advanced file system stream things.

This package is part of the npm stack and a future F19 Feature for Node.js.

This package may depend on other packages in the npm stack that aren't explicitly
listed as dependencies of this bug.  For more information, see bug 891171.

Please use nodejs-0.6.5-3 or later when building or using this package.
Comment 1 T.C. Hollingsworth 2013-01-10 02:32:59 EST
Updated with empty %build sections and other issues found in various reviews.

Spec: http://patches.fedorapeople.org/npm/nodejs-fstream.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-fstream-0.1.21-2.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4854313
Comment 2 Miro Hrončok 2013-01-10 13:52:21 EST
Description and Summary OK.

MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.

$ rpmlint ../SRPMS/nodejs-fstream-0.1.21-2.fc18.src.rpm ../RPMS/noarch/nodejs-fstream-0.1.21-2.fc18.noarch.rpm
nodejs-fstream.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-fstream.src: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-fstream.src: W: spelling-error %description -l en_US symlink -> slinky
nodejs-fstream.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-fstream.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-fstream.noarch: W: spelling-error %description -l en_US symlink -> slinky
nodejs-fstream.noarch: W: only-non-binary-in-usr-lib
nodejs-fstream.noarch: W: dangling-symlink /usr/lib/node_modules/fstream/node_modules/mkdirp /usr/lib/node_modules/mkdirp
nodejs-fstream.noarch: W: dangling-symlink /usr/lib/node_modules/fstream/node_modules/graceful-fs /usr/lib/node_modules/graceful-fs
nodejs-fstream.noarch: W: dangling-symlink /usr/lib/node_modules/fstream/node_modules/rimraf /usr/lib/node_modules/rimraf
nodejs-fstream.noarch: W: dangling-symlink /usr/lib/node_modules/fstream/node_modules/inherits /usr/lib/node_modules/inherits
2 packages and 0 specfiles checked; 0 errors, 11 warnings.

All are false positive. Symlinks OK, package requires (among others) npm(graceful-fs), npm(inherits), npm(mkdirp), npm(rimraf). OK

MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. OK
MUST: The package must meet the Packaging Guidelines. OK
MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
MUST: The License field in the package spec file must match the actual license.

FIX: License in spec is MIT, but LICENSE file says BSD.

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc. OK
MUST: The spec file must be written in American English. OK
MUST: The spec file for the package MUST be legible. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.

$ sha256sum ../SOURCES/fstream-0.1.21.tgz 
31ebe4997ffdf91cb6542a5067c4226ab301292e3d87c79da539c828403022ca  ../SOURCES/fstream-0.1.21.tgz
$ spectool -g nodejs-fstream.spec 
$ sha256sum fstream-0.1.21.tgz 
31ebe4997ffdf91cb6542a5067c4226ab301292e3d87c79da539c828403022ca  fstream-0.1.21.tgz

OK

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. OK
MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. OK, builds in mock
MUST: Packages must NOT bundle copies of system libraries. OK
MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. OK
MUST: A Fedora package must not list a file more than once in the spec file's %files listings. OK
MUST: Permissions on files must be set properly.

$ rpm -q -lv -p ../RPMS/noarch/nodejs-fstream-0.1.21-2.fc18.noarch.rpm 
drwxr-xr-x    2 root    root                        0 led 10 19:41 /usr/lib/node_modules/fstream
-rw-r--r--    1 root    root                     1120 lis 19  2011 /usr/lib/node_modules/fstream/fstream.js
drwxr-xr-x    2 root    root                        0 led 10 19:41 /usr/lib/node_modules/fstream/lib
-rw-r--r--    1 root    root                     2210 pro 28 01:57 /usr/lib/node_modules/fstream/lib/abstract.js
-rw-r--r--    1 root    root                     1652 pro 28 01:57 /usr/lib/node_modules/fstream/lib/collect.js
-rw-r--r--    1 root    root                     6394 pro 28 01:57 /usr/lib/node_modules/fstream/lib/dir-reader.js
-rw-r--r--    1 root    root                     4504 pro 28 01:57 /usr/lib/node_modules/fstream/lib/dir-writer.js
-rw-r--r--    1 root    root                     3861 pro 28 01:57 /usr/lib/node_modules/fstream/lib/file-reader.js
-rw-r--r--    1 root    root                     2396 pro 28 01:57 /usr/lib/node_modules/fstream/lib/file-writer.js
-rw-r--r--    1 root    root                      632 pro 28 01:57 /usr/lib/node_modules/fstream/lib/get-type.js
-rw-r--r--    1 root    root                     1542 pro 28 01:57 /usr/lib/node_modules/fstream/lib/link-reader.js
-rw-r--r--    1 root    root                     2788 pro 28 01:57 /usr/lib/node_modules/fstream/lib/link-writer.js
-rw-r--r--    1 root    root                     1966 pro 28 01:57 /usr/lib/node_modules/fstream/lib/proxy-reader.js
-rw-r--r--    1 root    root                     2409 pro 28 01:57 /usr/lib/node_modules/fstream/lib/proxy-writer.js
-rw-r--r--    1 root    root                     6945 pro 28 01:57 /usr/lib/node_modules/fstream/lib/reader.js
-rw-r--r--    1 root    root                      992 pro 28 01:57 /usr/lib/node_modules/fstream/lib/socket-reader.js
-rw-r--r--    1 root    root                    10674 pro 28 01:57 /usr/lib/node_modules/fstream/lib/writer.js
drwxr-xr-x    2 root    root                        0 led 10 19:41 /usr/lib/node_modules/fstream/node_modules
lrwxrwxrwx    1 root    root                       33 led 10 19:41 /usr/lib/node_modules/fstream/node_modules/graceful-fs -> /usr/lib/node_modules/graceful-fs
lrwxrwxrwx    1 root    root                       30 led 10 19:41 /usr/lib/node_modules/fstream/node_modules/inherits -> /usr/lib/node_modules/inherits
lrwxrwxrwx    1 root    root                       28 led 10 19:41 /usr/lib/node_modules/fstream/node_modules/mkdirp -> /usr/lib/node_modules/mkdirp
lrwxrwxrwx    1 root    root                       28 led 10 19:41 /usr/lib/node_modules/fstream/node_modules/rimraf -> /usr/lib/node_modules/rimraf
-rw-r--r--    1 root    root                      557 pro 28 01:58 /usr/lib/node_modules/fstream/package.json
drwxr-xr-x    2 root    root                        0 led 10 19:41 /usr/share/doc/nodejs-fstream-0.1.21
-rw-r--r--    1 root    root                     1310 zář 12 02:44 /usr/share/doc/nodejs-fstream-0.1.21/LICENSE
-rw-r--r--    1 root    root                     2345 lis  1  2011 /usr/share/doc/nodejs-fstream-0.1.21/README.md
drwxr-xr-x    2 root    root                        0 led 10 19:41 /usr/share/doc/nodejs-fstream-0.1.21/examples
-rw-r--r--    1 root    root                     3928 bře 27  2012 /usr/share/doc/nodejs-fstream-0.1.21/examples/filter-pipe.js
-rw-r--r--    1 root    root                     3235 bře 20  2012 /usr/share/doc/nodejs-fstream-0.1.21/examples/pipe.js
-rw-r--r--    1 root    root                     1293 lis 29  2011 /usr/share/doc/nodejs-fstream-0.1.21/examples/reader.js
-rw-r--r--    1 root    root                      704 lis 29  2011 /usr/share/doc/nodejs-fstream-0.1.21/examples/symlink-write.js

OK

MUST: Each package must consistently use macros. OK
MUST: The package must contain code, or permissable content. OK
MUST: If a package includes something as %doc, it must not affect the runtime of the application. OK
MUST: Packages must not own files or directories already owned by other packages. OK
MUST: All filenames in rpm packages must be valid UTF-8. OK
SHOULD: The reviewer should test that the package builds in mock. OK
SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. OK

Package NEEDSWORK: Fix the license issue
Comment 4 Miro Hrončok 2013-01-13 13:44:43 EST
Package APPROVED.
Comment 5 T.C. Hollingsworth 2013-01-13 16:35:03 EST
New Package SCM Request
=======================
Package Name: nodejs-fstream
Short Description: Advanced file system stream objects for Node.js
Owners: patches
Branches: f18 el6
InitialCC:
Comment 6 Jon Ciesla 2013-01-14 07:03:53 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-04-05 19:16:23 EDT
node-gyp-0.9.1-2.fc18, nodejs-async-0.2.6-1.fc18, nodejs-chmodr-0.1.0-2.fc18, nodejs-fstream-npm-0.1.4-1.fc18, nodejs-glob-3.1.21-1.fc18, nodejs-minimatch-0.2.11-1.fc18, nodejs-mkdirp-0.3.5-1.fc18, nodejs-npm-registry-client-0.2.18-2.fc18, nodejs-read-package-json-0.2.2-1.fc18, nodejs-request-2.14.0-1.fc18, nodejs-semver-1.1.4-1.fc18, npm-1.2.14-2.fc18, nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-once-1.1.1-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-promzard-0.2.0-3.fc18, nodejs-combined-stream-0.0.4-1.fc18, nodejs-config-chain-1.1.5-1.fc18, nodejs-fstream-0.1.22-1.fc18, nodejs-fstream-ignore-0.0.6-1.fc18, nodejs-graceful-fs-1.2.0-1.fc18, nodejs-ini-1.1.0-1.fc18, nodejs-lockfile-0.3.0-1.fc18, nodejs-lru-cache-2.2.2-1.fc18, nodejs-mime-1.2.9-1.fc18, nodejs-nopt-2.1.1-1.fc18, nodejs-npmconf-0.0.23-1.fc18, nodejs-read-installed-0.1.1-1.fc18, nodejs-rimraf-2.1.4-1.fc18, nodejs-tar-0.1.16-1.fc18, nodejs-form-data-0.0.7-1.fc18 has been pushed to the Fedora 18 stable repository.